{ config, lib, pkgs, ... }:

with lib;

let
  fn = import ../fn.nix { inherit lib; };
  gitpkgs = import /nixpkgs {};
in {
  config.machine.pkgsets.python3.pkgwrap = (pkgs.python38Full.withPackages (ps: with ps; (fn.pkgFilter config.machine.pkgsets.python3.pkgs)));
  config.machine.pkgsets.python3.pkgs = with pkgs.python38Packages; [
    GitPython
    bpython
    configparser
    emoji
    epc
    flake8
    genanki
    mypy
    numpy
    opencv3
    paho-mqtt
    pep8
    pillow
    pip
    plotly
    pyflakes
    pygame pygame_sdl2
    pylama
    pylint toml
    pyopengl
    pyproj
    pytest
    requests
    schedule
    scipy
    selenium
    telegram
    tkinter
    toolz
    virtualenv
    xdot
  ];
}
